<?php

namespace App\Models\Admin;

use App\Traits\UuidTrait;
use Illuminate\Database\Eloquent\Factories\HasFactory;
use Illuminate\Database\Eloquent\Model;

class MsBidangPenelitian extends Model
{
    use HasFactory;
    use UuidTrait;

    public $incrementing = false;
    protected $table = 'ms_bidang_penelitian';
    protected $keyType = 'string';

    protected $fillable = [
        'id', 'id_kategori', 'nama', 'userid_created', 'userid_updated', 'created_at', 'updated_at',
    ];

    public function rKategori()
    {
        return $this->belongsTo(MsBidangPenelitianKategori::class, 'id_kategori', 'id');
    }
}
