<?php

namespace App\Models\Admin;

use App\Traits\UuidTrait;
use Illuminate\Database\Eloquent\Factories\HasFactory;
use Illuminate\Database\Eloquent\Model;

class MsTujuanSosial extends Model
{
    use HasFactory;
    use UuidTrait;

    public $incrementing = false;
    protected $table = 'ms_tujuan_sosial';
    protected $keyType = 'string';

    protected $fillable = ['nama', 'created_at', 'updated_at', 'userid_created', 'userid_updated'];
}
