@extends('layouts.master')

@section('title')
    Dashboard
@endsection

@section('header')
<div class="page-title">
    <h3>Dashboard</h3>
</div>
@endsection

@section('contents')
@php
 $menu = 'dashboard';
@endphp
<div class="row layout-top-spacing">
    <div id="custom_carousel" class="col-lg-12 layout-spacing">
        <div class="statbox widget box box-shadow">
            <div class="widget-header">
                <div class="row">
                    <div class="col-xl-12 col-md-12 col-sm-12 col-12">
                        <h4>SimLitabmas</h4>
                    </div>
                </div>
            </div>
            <div class="widget-content widget-content-area  style-custom-1">
                <div class="container" style="max-width: 928px;">
                    <div class="row">
                        <div class="col-lg-12 col-md-12 mb-5 p-0">
                            <div id="style1" class="carousel slide style-custom-1" data-ride="carousel">
                                <ol class="carousel-indicators">
                                    <li data-target="#style1" data-slide-to="0" class="active"></li>
                                    <li data-target="#style1" data-slide-to="1"></li>
                                    <li data-target="#style1" data-slide-to="2"></li>
                                </ol>
                                <div class="carousel-inner">
                                    <div class="carousel-item active">
                                        <img class="d-block w-100 slide-image" src="{{ url('theme/assets/img/600x300.jpg') }}" alt="First slide">
                                        <div class="carousel-caption">
                                            <span class="badge">Lifestyle</span>
                                            <h3>How To Make More Blog By Doing Less</h3>
                                            <div class="media">
                                                <img src="assets/img/90x90.jpg" class="" alt="avatar">
                                                <div class="media-body">
                                                    <h6 class="user-name">User name</h6>
                                                    <p class="meta-time"><svg xmlns="http://www.w3.org/2000/svg" width="24" height="24" viewBox="0 0 24 24" fill="none" stroke="currentColor" stroke-width="2" stroke-linecap="round" stroke-linejoin="round" class="feather feather-calendar"><rect x="3" y="4" width="18" height="18" rx="2" ry="2"></rect><line x1="16" y1="2" x2="16" y2="6"></line><line x1="8" y1="2" x2="8" y2="6"></line><line x1="3" y1="10" x2="21" y2="10"></line></svg> Jan, 14 2020</p>
                                                </div>
                                            </div>
                                        </div>
                                    </div>
                                    <div class="carousel-item">
                                        <img class="d-block w-100 slide-image" src="{{ url('theme/assets/img/600x300.jpg') }}" alt="Second slide">
                                        <div class="carousel-caption">
                                            <span class="badge">Lifestyle</span>
                                            <h3>How To Make Blog</h3>
                                            <div class="media">
                                                <img src="assets/img/90x90.jpg" class="" alt="avatar">
                                                <div class="media-body">
                                                    <h6 class="user-name">User name</h6>
                                                    <p class="meta-time"><svg xmlns="http://www.w3.org/2000/svg" width="24" height="24" viewBox="0 0 24 24" fill="none" stroke="currentColor" stroke-width="2" stroke-linecap="round" stroke-linejoin="round" class="feather feather-calendar"><rect x="3" y="4" width="18" height="18" rx="2" ry="2"></rect><line x1="16" y1="2" x2="16" y2="6"></line><line x1="8" y1="2" x2="8" y2="6"></line><line x1="3" y1="10" x2="21" y2="10"></line></svg> Jan, 14 2020</p>
                                                </div>
                                            </div>
                                        </div>
                                    </div>
                                    <div class="carousel-item">
                                        <img class="d-block w-100 slide-image" src="{{ url('theme/assets/img/600x300.jpg') }}" alt="Third slide">
                                        <div class="carousel-caption">
                                            <span class="badge">Lifestyle</span>
                                            <h3>Best Blog Android Apps</h3>
                                            <div class="media">
                                                <img src="assets/img/90x90.jpg" class="" alt="avatar">
                                                <div class="media-body">
                                                    <h6 class="user-name">User name</h6>
                                                    <p class="meta-time"><svg xmlns="http://www.w3.org/2000/svg" width="24" height="24" viewBox="0 0 24 24" fill="none" stroke="currentColor" stroke-width="2" stroke-linecap="round" stroke-linejoin="round" class="feather feather-calendar"><rect x="3" y="4" width="18" height="18" rx="2" ry="2"></rect><line x1="16" y1="2" x2="16" y2="6"></line><line x1="8" y1="2" x2="8" y2="6"></line><line x1="3" y1="10" x2="21" y2="10"></line></svg> Jan, 14 2020</p>
                                                </div>
                                            </div>
                                        </div>
                                    </div>
                                </div>
                                <a class="carousel-control-prev" href="#style1" role="button" data-slide="prev">
                                    <span class="carousel-control-prev-icon" aria-hidden="true"></span>
                                    <span class="sr-only">Previous</span>
                                </a>
                                <a class="carousel-control-next" href="#style1" role="button" data-slide="next">
                                    <span class="carousel-control-next-icon" aria-hidden="true"></span>
                                    <span class="sr-only">Next</span>
                                </a>
                            </div>
                        </div>
                    </div>
                </div>
            </div>
        </div>
    </div>
</div>

@endsection

@section('js')
    <script src="{{ url('theme/plugins/highlight/highlight.pack.js') }}"></script>
    <script src="{{ url('theme/assets/js/scrollspyNav.js') }}"></script>
@endsection
