@extends('layouts.master')

@section('title')
    Kontrak Kerja Non Penelitian
@endsection

@section('header')
<div class="page-title">
    <h3>Kontrak Kerja Non Penelitian</h3>
</div>
@endsection

@section('contents')
@php
 $menu = 'dashboard';
@endphp
    <div class="account-settings-container layout-top-spacing">
        {{ Form::open(['url' => route('kontrakkerja.store'), 'method' => 'post', 'class' => 'section general-info', 'id' => 'kontrakkerja']) }}
        <div class="account-content">
            <div class="scrollspy-example" data-spy="scroll" data-target="#account-settings-scroll" data-offset="-100">
                <div class="row">

                    <div class="col-xl-12 col-lg-12 col-md-12 layout-spacing">
                        <div class="info">
                            <h5 class="">Data Kegiatan Kontrak Kerja Non Penelitian</h5>
                            <div class="row">
                                <div class="col-md-11 mx-auto">
                                    <div class="row">
                                        <div class="col-md-6">
                                            <div class="form-group">
                                                <label>Unit Pelaksanaan</label>
                                                <input type="text" class="form-control mb-4" id="unit_pelaksanaan" name="unit_pelaksanaan" placeholder="Unit Pelaksanaan">
                                            </div>
                                        </div>
                                        <div class="col-md-12">
                                            <div class="form-group">
                                                <label>Nama Kegiatan</label>
                                                <textarea class="form-control" id="nama_kegiatan" name="nama_kegiatan" placeholder="Nama Kegiatan" rows="2"></textarea>
                                            </div>
                                        </div>
                                        <div class="col-md-6">
                                            <div class="form-group">
                                                <label>Institusi Mitra</label>
                                                <input type="text" class="form-control mb-4" id="institusi_mitra" name="institusi_mitra" placeholder="Institusi Mitra">
                                                <small class="form-text text-muted">Diperbolehkan lebih dari satu mitra dipisahkan dengan koma (,)</small>
                                            </div>
                                        </div>
                                        <div class="col-md-6">
                                            <div class="form-group">
                                                <label>Nomor Kontrak</label>
                                                <input type="text" class="form-control mb-4" id="nokontrak" name="nokontrak" placeholder="Nomor Kontrak">
                                            </div>
                                        </div>
                                        <div class="col-md-6">
                                            <div class="form-group">
                                                <label>Nilai Kontrak</label>
                                                <input type="text" class="form-control mb-4" id="nilaikontrak" name="nilaikontrak" placeholder="Nilai Kontrak">
                                                <small class="form-text text-muted">Nilai Kontrak dalam Rupiah</small>
                                            </div>
                                        </div>
                                    </div>
                                </div>
                            </div>
                        </div>
                    </div>

                </div>
            </div>
        </div>

        <div class="account-settings-footer">
            <div class="as-footer-container">
                <button id="multiple-reset" class="btn btn-warning">Batal</button>
                <button type="submit" id="multiple-messages" class="btn btn-primary">Save Changes</button>
            </div>
        </div>
        {{ Form::close() }}
    </div>

@endsection

@section('js')
    <script src="{{ url('theme/plugins/apex/apexcharts.min.js') }} "></script>
    <script src="{{ url('theme/assets/js/dashboard/dash_2.js') }} "></script>
@endsection
